ranges::lazy_yield_if_fn Struct Reference
Views

## Synopsis of methods

constexpr lazy_yield_if_fn | lazy_yield_if {}

## Public Member Functions

template<typename F >
CPP_TEMPLATE_AUX_0 | g (requires ` invocable< F & >) gggenerate_n_view< F > operator()(bool b

## Public Attributes

CPP_TEMPLATE_AUX_0 F f | const

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 F f ranges::lazy_yield_if_fn::const

Initial value:
{
return views::generate_n(std::move(f), b ? 1 : 0)
ranges::f
CPP_TEMPLATE_AUX_0 f(requires ` input_iterator< I > &&sentinel_for< S, I > &&indirectly_unary_invocable< F, projected< I, P >>) fffor_each_result< I
function template for_each
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52